# gdcm::ImageChangePhotometricInterpretation Class Reference

ImageChangePhotometricInterpretation class Class to change the Photometric Interpetation of an input DICOM. More...

`#include <gdcmImageChangePhotometricInterpretation.h>`

Inheritance diagram for gdcm::ImageChangePhotometricInterpretation:
[legend]
Collaboration diagram for gdcm::ImageChangePhotometricInterpretation:
[legend]

List of all members.

## Public Member Functions
| ImageChangePhotometricInterpretation ()
| ~ImageChangePhotometricInterpretation ()
bool | Change ()
| Change.
const PhotometricInterpretation & | GetPhotometricInterpretation () const
void | SetPhotometricInterpretation (PhotometricInterpretation const &pi)
| Set/Get requested PhotometricInterpretation.
## Static Public Member Functions
template<typename T >
static void | RGB2YBR (T ybr[3], const T rgb[3])
| colorspace converstion (based on CCIR Recommendation 601-2)
template<typename T >
static void | YBR2RGB (T rgb[3], const T ybr[3])
## Protected Member Functions
bool | ChangeMonochrome ()

## Detailed Description

ImageChangePhotometricInterpretation class Class to change the Photometric Interpetation of an input DICOM.

## Constructor & Destructor Documentation

gdcm::ImageChangePhotometricInterpretation::ImageChangePhotometricInterpretation | ( |  | ) | `[inline]`

gdcm::ImageChangePhotometricInterpretation::~ImageChangePhotometricInterpretation | ( |  | ) | `[inline]`

## Member Function Documentation

bool gdcm::ImageChangePhotometricInterpretation::Change | ( |  | ) |

Change.

bool gdcm::ImageChangePhotometricInterpretation::ChangeMonochrome | ( |  | ) | `[protected]`

const PhotometricInterpretation& gdcm::ImageChangePhotometricInterpretation::GetPhotometricInterpretation | ( |  | ) | const`[inline]`

template<typename T >

void gdcm::ImageChangePhotometricInterpretation::RGB2YBR | ( | T | ybr[3],
|  | const T | rgb[3] |
| ) |  |  | `[inline, static]`

colorspace converstion (based on CCIR Recommendation 601-2)

void gdcm::ImageChangePhotometricInterpretation::SetPhotometricInterpretation | ( | PhotometricInterpretation const & | pi | ) | `[inline]`

Set/Get requested PhotometricInterpretation.

template<typename T >

void gdcm::ImageChangePhotometricInterpretation::YBR2RGB | ( | T | rgb[3],
|  | const T | ybr[3] |
| ) |  |  | `[inline, static]`

The documentation for this class was generated from the following file:

- gdcmImageChangePhotometricInterpretation.h